"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgentMessage = void 0;
const AckDecoratorExtension_1 = require("../decorators/ack/AckDecoratorExtension");
const AttachmentExtension_1 = require("../decorators/attachment/AttachmentExtension");
const L10nDecoratorExtension_1 = require("../decorators/l10n/L10nDecoratorExtension");
const ServiceDecoratorExtension_1 = require("../decorators/service/ServiceDecoratorExtension");
const ThreadDecoratorExtension_1 = require("../decorators/thread/ThreadDecoratorExtension");
const TimingDecoratorExtension_1 = require("../decorators/timing/TimingDecoratorExtension");
const TransportDecoratorExtension_1 = require("../decorators/transport/TransportDecoratorExtension");
const JsonTransformer_1 = require("../utils/JsonTransformer");
const messageType_1 = require("../utils/messageType");
const BaseMessage_1 = require("./BaseMessage");
const Decorated = (0, ThreadDecoratorExtension_1.ThreadDecorated)((0, L10nDecoratorExtension_1.L10nDecorated)((0, TransportDecoratorExtension_1.TransportDecorated)((0, TimingDecoratorExtension_1.TimingDecorated)((0, AckDecoratorExtension_1.AckDecorated)((0, AttachmentExtension_1.AttachmentDecorated)((0, ServiceDecoratorExtension_1.ServiceDecorated)(BaseMessage_1.BaseMessage)))))));
class AgentMessage extends Decorated {
    toJSON({ useLegacyDidSovPrefix = false } = {}) {
        const json = JsonTransformer_1.JsonTransformer.toJSON(this);
        if (useLegacyDidSovPrefix) {
            (0, messageType_1.replaceNewDidCommPrefixWithLegacyDidSovOnMessage)(json);
        }
        return json;
    }
    is(Class) {
        return this.type === Class.type.messageTypeUri;
    }
}
exports.AgentMessage = AgentMessage;
//# sourceMappingURL=AgentMessage.js.map