"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageDeliveryHandler = void 0;
const models_1 = require("../../../../../../agent/models");
const MessageDeliveryMessage_1 = require("../messages/MessageDeliveryMessage");
class MessageDeliveryHandler {
    constructor(mediationRecipientService) {
        this.supportedMessages = [MessageDeliveryMessage_1.MessageDeliveryMessage];
        this.mediationRecipientService = mediationRecipientService;
    }
    async handle(messageContext) {
        const connection = messageContext.assertReadyConnection();
        const deliveryReceivedMessage = await this.mediationRecipientService.processDelivery(messageContext);
        if (deliveryReceivedMessage) {
            return new models_1.OutboundMessageContext(deliveryReceivedMessage, {
                agentContext: messageContext.agentContext,
                connection,
            });
        }
    }
}
exports.MessageDeliveryHandler = MessageDeliveryHandler;
//# sourceMappingURL=MessageDeliveryHandler.js.map